$(document).ready(function() {
	"use strict";
	//===============Mobile nav Function============
	var toggle_btn = $('#menu');
	var nav = $('.navigation');
	toggle_btn.on('click', function() {
		if ($(window).width() <= 767) {
			nav.slideToggle('normal');
		}
		return false;
	});
	//===============Mobile Sub nav Function============
	var nav_link = $('.navigation>ul> li >a');
	var subNav = $('.navigation>ul> li> ul');
	nav_link.on('click', function() {
		if ($(window).width() <= 767) {
			subNav.slideToggle('normal');
		}
	});

	// header_fixed
	var headertopoption = $(window);
	var headTop = $('#header');

	headertopoption.on('scroll', function() {
		if (headertopoption.scrollTop() > 200) {
			headTop.addClass('menu-bg');
		} else {
			headTop.removeClass('menu-bg');
		}
	});

	// active_add_class
	var domain_btn = $('.domain-name .domain-host');
	domain_btn.on('click', function() {
		$(this).toggleClass('active');
	});

	//=============Window Height Function=============
	var bodyheight = $(window).height();
	var header_h = $(".header").height();
	var window_hieght = $(".window_hieght");
	window_hieght.height(bodyheight - header_h);
	$(window).on('resize', function() {
		var header_h = $(".header").height();
		var bodyheight = $(window).height();
		window_hieght.height(bodyheight - header_h);
	});
	//=============Tab Function=============
	var tab_link = $('.tab_link');
	var tab_content = $('.tab-content');
	var tab_div = $('.tab-content .servi-test');
	tab_link.on('click', function() {
		tab_link.removeClass('active');
		$(this).addClass('active');
		var tabShow = $(this).data('tab');
		tab_div.css('display', 'none');
		$('.' + tabShow).css('display', 'block');
		tab_div.removeClass('active');
		var data_text = $(this).data('tab');
		setTimeout(function() {
			tab_content.find('.' + data_text).addClass('active');
		}, 50);
	});

	//animate wow
	new WOW().init();
	/*----------------------------------------------
	 ----------- Loader Function  --------------------
	 -------------------------------------------------*/
	var preloader = $("#preloader");
	preloader.delay(500).fadeOut();

	// owl_carousel
	//	Releted Project slider
	var servi_carousel = $("#servi-carousel");
	servi_carousel.owlCarousel({
		loop : true,
		nav : true,
		dots : false,
		margin : 30,
		responsive : {
			0 : {
				items : 1
			},
			767 : {
				items : 2
			},
			992 : {
				items : 3
			},
			1200 : {
				items : 3
			}
		},
		navText : ["<i class='ion-ios-arrow-back'></i>", "<i class='ion-ios-arrow-forward'></i>"]

	});

	// End
});
